.MainHeader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 100000;

  background-color: #202124;
  padding: 32px 0;
}

.MainHeader-container {
  max-width: 1920px;
  padding: 0 50px;
  margin: 0 auto;

  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 48px;
}

.MainHeader-logo {
  width: fit-content;
}
.MainHeader-logo img {
  width: 160px;
  height: auto;
  object-fit: contain;
  object-position: center;
  filter: brightness(0) invert(1);
}

.MainHeader-links {
  display: flex;
  align-items: center;
  gap: 48px;
}
.MainHeader-link {
  color: #fff;
  font-family: Raleway;
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  text-transform: uppercase;
  text-decoration: none;

  transition: 0.3s color;
}
.MainHeader-link:hover {
  color: #63b825;
  text-decoration: none;
}

.MainHeader-toggle {
  display: none;

  width: 36px;
  height: 33px;
  padding: 8px;
  background-color: #00a9e0;
}
.MainHeader-toggle-wrapper {
  position: relative;
}
.MainHeader-toggle-bar {
  position: absolute;
  left: 0;
  right: 0;

  display: block;
  width: 20px;
  height: 3px;
  background-color: #fff;
  border-radius: 1px;
  transition:
    0.3s transform,
    0.3s top;
}
.MainHeader-toggle-bar.first {
  top: 0%;
  transform: translateY(0%);
}
.MainHeader-toggle-bar.second {
  top: 50%;
  transform: translateY(-50%);
}
.MainHeader-toggle-bar.third {
  top: 100%;
  transform: translateY(-100%);
}
.MainHeader-toggle.is-active .MainHeader-toggle-bar.first {
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
}
.MainHeader-toggle.is-active .MainHeader-toggle-bar.second {
  transform: translateY(-50%) scaleX(0);
}
.MainHeader-toggle.is-active .MainHeader-toggle-bar.third {
  top: 50%;
  transform: translateY(-50%) rotate(-45deg);
}

/* Laptop Styles (992px - 1199px) */
@media (max-width: 1199px) {
  .MainHeader-container {
    gap: 36px;
  }
  .MainHeader-links {
    gap: 36px;
  }
}

/* Tablet Styles (768px - 991px) */
@media (max-width: 991px) {
  .MainHeader-links {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background-color: #202124;
    padding: 36px 50px;
    z-index: 100000;

    flex-direction: column;
    align-items: center;

    transition:
      0.7s opacity,
      0.7s transform;
    transform: translateY(-20%);
    opacity: 0;
    pointer-events: none;
  }
  .MainHeader-container.is-active .MainHeader-links {
    transform: translateY(0%);
    opacity: 1;
    pointer-events: auto;
  }

  .MainHeader-toggle {
    display: flex;
  }
}

/* Phone Styles (< 768px) */
@media (max-width: 767px) {
  .MainHeader {
    padding: 15px 0;
  }

  .MainHeader-container {
    padding: 0 15px;
  }

  .MainHeader-links {
    padding: 36px 15px;
  }
}
